Page MenuHomeFreeBSD

Document jail.conf(5) method of configuring jails
ClosedPublic

Authored by emaste on Feb 26 2018, 4:55 PM.

Details

Summary

jail.conf is the preferred method of configuring jails in all supported FreeBSD versions, and old rc.conf(5) configuration produces a warning. Update the handbook example.

Based on patch in PR 187142 submitted by Jack-Benny Persson.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste created this revision.Feb 26 2018, 4:55 PM
bcr added a subscriber: bcr.Feb 27 2018, 7:50 PM

Two comments...

en_US.ISO8859-1/books/handbook/jails/chapter.xml
316 ↗(On Diff #39759)

I think <filename>jail.conf</filename> tags are better here than the man page. We don't configure anything in the man page, but the file itself. The man page is referenced below, so there is no reference lost.

320 ↗(On Diff #39759)

I think this parameter is also (highly) replaceable. ;-)

emaste updated this revision to Diff 39840.Feb 28 2018, 8:57 PM

incorporate feedback from bcr

wblock added inline comments.Mar 2 2018, 8:34 PM
en_US.ISO8859-1/books/handbook/jails/chapter.xml
329 ↗(On Diff #39840)
Configure jails to start at boot in <filename>/etc/rc.conf</filename>:</para>
334 ↗(On Diff #39840)

This whole paragraph is unclear. What is a "default startup"? What is meant by "a complete virtual system"?

emaste updated this revision to Diff 39970.Mar 5 2018, 7:24 PM

Fix sentence reported by @wblock

en_US.ISO8859-1/books/handbook/jails/chapter.xml
334 ↗(On Diff #39840)

This section should indeed get a more extensive rewrite in a later commit.

bcr accepted this revision.Mar 5 2018, 11:42 PM

I agree with the needed rewrites, but for this specific change, it is enough. Approved!

This revision is now accepted and ready to land.Mar 5 2018, 11:42 PM
eadler accepted this revision.Mar 6 2018, 3:39 AM
This revision was automatically updated to reflect the committed changes.